Vulnerability CVE-2018-16131


Published: 2018-08-30

Description:
The decodeRequest and decodeRequestWith directives in Lightbend Akka HTTP 10.1.x through 10.1.4 and 10.0.x through 10.0.13 allow remote attackers to cause a denial of service (memory consumption and daemon crash) via a ZIP bomb.

Type:

CWE-400

(Uncontrolled Resource Consumption ('Resource Exhaustion'))

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:N/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.8/10
6.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Complete
Affected software
Lightbend -> Akka http 

 References:
https://akka.io/blog/news/2018/08/30/akka-http-dos-vulnerability-found
https://doc.akka.io/docs/akka-http/current/security/2018-09-05-denial-of-service-via-decodeRequest.html
https://github.com/akka/akka-http/issues/2137
https://groups.google.com/forum/#!topic/akka-security/Dj7INsYWdjg

Copyright 2021, cxsecurity.com

 

Back to Top